﻿namespace Shot.Presentation.Foundation
{
    /// <summary>
    /// Interface for presenting IPresenter implementations to an AppInstance
    /// </summary>
    public interface IPresentationManager
    {
        /// <summary>
        /// App Instance
        /// </summary>
        App App { get; set; }

        /// <summary>
        /// Present a presenter
        /// </summary>
        /// <param name="presenter"></param>
        /// <param name="client"></param>
        void PresentFor(IPresenter presenter, AppInstance client);
    }
}
