﻿using System.Net;

namespace Shot.Session.Cookies
{
    /// <summary>
    /// Serializable request to the client's cookie access system
    /// </summary>
    public class CookieAccessRequest
    {
        /// <summary>
        /// Action code for getting a cookie
        /// </summary>
        public const string GetCookie = "Get";

        /// <summary>
        /// Action code for setting a cookie
        /// </summary>
        public const string SetCookie = "Set";

        /// <summary>
        /// Type of request (Get or Set)
        /// </summary>
        public string RequestType { get; set; }

        /// <summary>
        /// Callback channel
        /// </summary>
        public string Callback { get; set; }

        /// <summary>
        /// Request Cookie
        /// </summary>
        public Cookie Cookie { get; set; }
    }
}
